<?php

namespace AutoAdmin\Bundle\Seo\EventListener\Traits;

use Symfony\Component\HttpFoundation\Request;

trait IsNotFrontUrlTrait
{
    public function isNotFrontUrl(Request $request): bool
    {
        $route = $request->get('_route');

        return $route !== null && !str_starts_with($route, '_') && !str_starts_with($route, 'aa_admin_');
    }
}
